% How to calculate phase?
% We know that timer runs at 40,000,000 MHz.
%   So we know the duration of a timer tick.
% And we know the frequency of the shaft (RPM)
%   So we know the period of the cycle, roughly.
% The phase is then
%   360 * (ticks * tick_duration) / (cycle_period)
% Write this in terms of RPM, timer and combine terms:
syms phase rpm ticks
freq = rpm/60;
per = 1/freq;
tick_duration = 1/40000000;
phase = 360 * (ticks * tick_duration) / (per);

% By observation...
% phase = (rpm*ticks)*(2833419889721787/18889465931478580854784)
%       = (rpm*ticks)*(1.5e-7)
%       = (rpm*ticks)/(6666667);